Bug 8021 - sort is broken - it presumes -f
Summary: sort is broken - it presumes -f
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: textutils   
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-28 02:46 UTC by Ric Anderson
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-06 16:59:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ric Anderson 1999-12-28 02:46:13 UTC
The version of sort shipped with RH6.1 sorts in a case-insensitive
manner by default (as though -f was specified).  I can't find any
way to disable this behavior, and force a case sensitive sort.

Comment 1 Bernhard Rosenkraenzer 2000-01-06 16:58:59 UTC
This was actually a feature of textutils 2.0: Sorting by locales.
I've reverted sort to the old behavior in Raw Hide.
Use "sort -l" to get the behavior from 6.1.


Note You need to log in before you can comment on or make changes to this bug.